﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using DiagramLibrary.Diagram;

namespace DiagramLibraryTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            Nodes.Add(new NodeItem() { Id=1, Title = "hello", Top = 10.0d, Left = 10.0d });
            Nodes.Add(new NodeItem() { Id=2, ParentId=1, Title = "world", Top = 120.0d, Left = 120.0d });
            //Nodes.Add(new NodeItem() { Id = 3, ParentId = 2, Title = "howdy", Top = 180.0d, Left = 180.0d });
            //Nodes.Add(new NodeItem() { Id = 4, Title = "doody", Top = 270.0d, Left = 270.0d });
            this.DataContext = this;
        }

        ObservableCollection<NodeItem> _nodes = new ObservableCollection<NodeItem>();
        public ObservableCollection<NodeItem> Nodes
        {
            get { return _nodes; }
        }
    }
    public class NodeItem : IPosition
    {
        public int Id { get; set; }
        public int ParentId { get; set; }
        public string Title { get; set; }
        public double Top { get; set; }
        public double Left { get; set; }
    }
}
