﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace DiagramLibrary.Diagram
{
    //[TemplateVisualState(GroupName = "HoverStates", Name = "NoHover")]
    //[TemplateVisualState(GroupName = "HoverStates", Name = "Hover")]
    //[TemplateVisualState(GroupName = "SelectionStates", Name = "Unselected")]
    //[TemplateVisualState(GroupName = "SelectionStates", Name = "Selected")]
    //public class DiagramItem2 : ContentControl
    //{
    //    #region Member Variables

    //    private bool _isDragging;
    //    private Point _startPosition;

    //    private Storyboard _locationAnimator;
    //    private PointAnimation _pointAnimation;
    //    private bool _isAnimating;

    //    #endregion

    //    #region Dependency Properties

    //    #region Is Selected

    //    public static readonly DependencyProperty IsSelectedProperty = DependencyProperty.Register(
    //        "IsSelected", typeof(bool), typeof(DiagramItem), new PropertyMetadata(OnIsSelectedChanged));
    //    public bool IsSelected
    //    {
    //        get { return (bool)GetValue(IsSelectedProperty); }
    //        set { SetValue(IsSelectedProperty, value); }
    //    }
    //    private static void OnIsSelectedChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
    //    {
    //        var control = d as DiagramItem;
    //        control.UpdateVisualStates();
    //        foreach (Connector cnt in control.Connectors)
    //        {
    //            cnt.IsMouseOver = control.IsSelected;
    //        }
    //    }
    //    #endregion

    //    #region Location

    //    public static readonly DependencyProperty LocationProperty = DependencyProperty.Register(
    //        "Location", typeof(Point), typeof(DiagramItem), new PropertyMetadata(OnLocationChanged));
    //    public Point Location
    //    {
    //        get { return (Point)GetValue(LocationProperty); }
    //        set { SetValue(LocationProperty, value); }
    //    }
    //    private static void OnLocationChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
    //    {
    //        var item = d as DiagramItem;
    //        item.MoveItemTo((Point)e.NewValue);
    //    }

    //    #endregion

    //    #region Connection

    //    //public static readonly DependencyProperty ConnectionProperty = DependencyProperty.Register(
    //    //    "Connection", typeof(Line), typeof(DiagramItem), null);
    //    //public Line Connection
    //    //{
    //    //    get { return (Line)GetValue(ConnectionProperty); }
    //    //    set { SetValue(ConnectionProperty, value); }
    //    //}
    //    public static readonly DependencyProperty ConnectionProperty = DependencyProperty.Register(
    //        "Connection", typeof(Connection), typeof(DiagramItem), null);
    //    public Connection Connection
    //    {
    //        get { return (Connection)GetValue(ConnectionProperty); }
    //        set { SetValue(ConnectionProperty, value); }
    //    }

    //    private ObservableCollection<Connection> _connections = new ObservableCollection<Connection>();
    //    public ObservableCollection<Connection> Connections
    //    {
    //        get { return _connections; }
    //    }

    //    #endregion

    //    #region Connectors

    //    private ObservableCollection<Connector> _connectors = new ObservableCollection<Connector>();
    //    public ObservableCollection<Connector> Connectors
    //    {
    //        get { return _connectors; }
    //    }

    //    #endregion

    //    #endregion

    //    internal DiagramItem ParentItem { get; set; }
    //    internal DiagramPanel Owner { get; set; }
    //    internal bool IsConnectorInitialized { get; set; }
    //    public bool IsMouseOver { get; set; }
    //    public int Id { get; set; }
    //    public int ParentId { get; set; }
    //    public double Top { get; set; }
    //    public double Left { get; set; }

    //    private ObservableCollection<DiagramItem> _childItems = new ObservableCollection<DiagramItem>();
    //    public ObservableCollection<DiagramItem> ChildItems 
    //    {
    //        get { return _childItems; }
    //    }


    //    #region ctor

    //    public DiagramItem2()
    //    {
    //        DefaultStyleKey = typeof(DiagramItem);

    //        InitializeStoryboard();
    //    }

    //    #endregion

    //    private void InitializeStoryboard()
    //    {
    //        _pointAnimation = new PointAnimation()
    //                            {
    //                                To = new Point(),
    //                                Duration = new Duration(TimeSpan.FromSeconds(0.5)),
    //                                EasingFunction = new CubicEase()
    //                            };
    //        Storyboard.SetTarget(_pointAnimation, this);
    //        Storyboard.SetTargetProperty(_pointAnimation, new PropertyPath("Location"));

    //        _locationAnimator = new Storyboard();
    //        _locationAnimator.Children.Add(_pointAnimation);
    //        _locationAnimator.Completed += delegate
    //                                    {
    //                                        _isAnimating = false;
    //                                        var pt = _pointAnimation.To.Value;
    //                                        Location = pt;
    //                                    };

    //    }

    //    protected override void OnMouseEnter(MouseEventArgs e)
    //    {
    //        IsMouseOver = true;
    //        foreach (Connector cnt in Connectors)
    //        {
    //            cnt.IsMouseOver = true;
    //        }
    //        UpdateVisualStates();
    //    }
    //    protected override void OnMouseLeave(MouseEventArgs e)
    //    {
    //        IsMouseOver = false;
    //        foreach (Connector cnt in Connectors)
    //        {
    //            if (this.IsSelected == false)
    //            {
    //                cnt.IsMouseOver = false;    
    //            }
    //        }
    //        UpdateVisualStates();
    //    }
    //    protected override void OnMouseMove(MouseEventArgs e)
    //    {
    //        if (_isDragging)
    //        {
    //            var currentPosition = e.GetPosition(ParentItem);
    //            var delta = new Point(currentPosition.X - _startPosition.X, currentPosition.Y - _startPosition.Y);
    //            _startPosition = currentPosition;

    //            var moveGroup = (Keyboard.Modifiers & ModifierKeys.Control) == ModifierKeys.Control;
    //            MoveItemBy(delta, moveGroup);
    //        }
    //    }
    //    protected override void OnMouseLeftButtonDown(MouseButtonEventArgs e)
    //    {
    //        _isDragging = true;

    //        CaptureMouse();
    //        _startPosition = e.GetPosition(ParentItem);
    //        Owner.SetSelection(this);

    //        UpdateVisualStates();
    //    }
    //    protected override void OnMouseLeftButtonUp(MouseButtonEventArgs e)
    //    {
    //        _isDragging = false;
    //        ReleaseMouseCapture();
    //    }

    //    private void UpdateVisualStates()
    //    {
    //        if (IsMouseOver)
    //        {
    //            VisualStateManager.GoToState(this, "Hover", true);
    //        }
    //        else
    //        {
    //            VisualStateManager.GoToState(this, "NoHover", true);
    //        }

    //        if (IsSelected)
    //        {
    //            VisualStateManager.GoToState(this, "Selected", true);
    //        }
    //        else
    //        {
    //            VisualStateManager.GoToState(this, "Unselected", true);
    //        }

    //        //
    //        //  Added the following to set the zIndex.
    //        //
    //        Canvas.SetZIndex(this, Owner.GetMaxZIndex + 1);
    //    }

    //    public void MoveItemBy(Point delta, bool moveGroup)
    //    {
    //        var x = Canvas.GetLeft(this) + delta.X;
    //        var y = Canvas.GetTop(this) + delta.Y;

    //        Canvas.SetLeft(this, x);
    //        Canvas.SetTop(this, y);

    //        if (!_isAnimating)
    //        {
    //            Location = new Point(x, y);
    //        }

    //        UpdateConnection();
    //        UpdateConnectors();
    //    }

    //    private void MoveItemTo(Point point)
    //    {
    //        var currX = Canvas.GetLeft(this);
    //        var currY = Canvas.GetTop(this);
    //        var delta = new Point(point.X - currX, point.Y - currY);

    //        MoveItemBy(delta, false);
    //    }

    //    internal void AnimationPosition(Point point)
    //    {
    //        if (_isAnimating)
    //        {
    //            _locationAnimator.Pause();
    //        }

    //        _isAnimating = true;
    //        _pointAnimation.To = point;
    //        _locationAnimator.Begin();
    //    }

    //    private void UpdateConnection()
    //    {
    //        if (ParentItem != null)
    //        {
    //            Connection.Path.X1 = Canvas.GetLeft(this) + this.ActualWidth / 2;
    //            Connection.Path.Y1 = Canvas.GetTop(this) + this.ActualHeight / 2;
    //            Connection.Path.X2 = Canvas.GetLeft(ParentItem) + ParentItem.ActualWidth / 2;
    //            Connection.Path.Y2 = Canvas.GetTop(ParentItem) + ParentItem.ActualHeight / 2;
    //        }

    //        foreach (var childItem in ChildItems)
    //        {
    //            var current = childItem;
    //            var childConnection = current.Connection;

    //            childConnection.Path.X1 = Canvas.GetLeft(current) + current.ActualWidth / 2;
    //            childConnection.Path.Y1 = Canvas.GetTop(current) + current.ActualHeight / 2;
    //            childConnection.Path.X2 = Canvas.GetLeft(this) + ActualWidth / 2;
    //            childConnection.Path.Y2 = Canvas.GetTop(this) + ActualHeight / 2;
    //        }
    //    }

    //    private void UpdateConnectors()
    //    {
    //        foreach (Connector item in Connectors)
    //        {
    //            var cnt = item;
    //            switch (cnt.Position)
    //            {
    //                case ConnectorPosition.N:
    //                    Canvas.SetLeft(cnt, Canvas.GetLeft(this) + (ActualWidth / 2) - (cnt.Width / 2));
    //                    Canvas.SetTop(cnt, Canvas.GetTop(this) - 10);
    //                    break;
    //                case ConnectorPosition.NE:
    //                    break;
    //                case ConnectorPosition.E:
    //                    break;
    //                case ConnectorPosition.SE:
    //                    break;
    //                case ConnectorPosition.S:
    //                    Canvas.SetLeft(cnt, Canvas.GetLeft(this) + (ActualWidth / 2) - (cnt.Width / 2));
    //                    Canvas.SetTop(cnt, Canvas.GetTop(this) + ActualHeight);
    //                    break;
    //                case ConnectorPosition.SW:
    //                    break;
    //                case ConnectorPosition.W:
    //                    break;
    //                case ConnectorPosition.NW:
    //                    break;
    //            }
    //        }
    //    }

    //};

}
